Subscriptions
The workspace's subscriptions
GET
Permission: billing.view
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
status?|Filter: pending | active | past_due | canceled
Successful Response
application/json- response
success*booleandata*array<>The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/subscriptions/me"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5", "plan_id": "00713021-9aea-41da-9a88-87760c08fa72", "billing_cycle": "string", "status": "string", "start_date": "2019-08-24T14:15:22Z", "current_period_end": "2019-08-24T14:15:22Z", "cancel_at_period_end": true, "can_create_sites": true, "total_sites": 0, "sites_created": 0, "sites_remaining": 0, "total_storage": 0, "storage_used": 0, "storage_remaining": 0, "pending_plan_id": null, "trial_end": null, "is_trialing": false, "trial_days_remaining": null, "grace_period_days": 5, "monthly_price_override": null, "yearly_price_override": null, "addons": [], "coupon": null, "first_payment_amount": null, "recurring_amount": null, "source": null, "created_at": "2019-08-24T14:15:22Z" } ]}